/**
 * Copyright © schukai GmbH and all contributing authors, {{copyRightYear}}. All rights reserved.
 * Node module: @schukai/monster
 *
 * This source code is licensed under the GNU Affero General Public License version 3 (AGPLv3).
 * The full text of the license can be found at: https://www.gnu.org/licenses/agpl-3.0.en.html
 *
 * For those who do not wish to adhere to the AGPLv3, a commercial license is available.
 * Acquiring a commercial license allows you to use this software without complying with the AGPLv3 terms.
 * For more information about purchasing a commercial license, please contact schukai GmbH.
 *
 * SPDX-License-Identifier: AGPL-3.0
 */

export {
	internalSymbol,
	internalStateSymbol,
	instanceSymbol,
	proxyInstanceMarker,
};

/**
 * @private
 * @type {symbol}
 * @license AGPLv3
 * @since 1.24.0
 */
const internalSymbol = Symbol.for("@schukai/monster/internal");

/**
 * @private
 * @type {symbol}
 * @license AGPLv3
 * @since 1.25.0
 */
const internalStateSymbol = Symbol.for("@schukai/monster/state");

/**
 * @private
 * @type {symbol}
 */
const instanceSymbol = Symbol.for("@schukai/monster/instance");

/**
 * @private
 * @type {symbol}
 */
const proxyInstanceMarker = Symbol.for(
	"@schukai/monster/proxy-instance-marker",
);
