/**
 * Copyright © schukai GmbH and all contributing authors, {{copyRightYear}}. All rights reserved.
 * Node module: @schukai/monster
 *
 * This source code is licensed under the GNU Affero General Public License version 3 (AGPLv3).
 * The full text of the license can be found at: https://www.gnu.org/licenses/agpl-3.0.en.html
 *
 * For those who do not wish to adhere to the AGPLv3, a commercial license is available.
 * Acquiring a commercial license allows you to use this software without complying with the AGPLv3 terms.
 * For more information about purchasing a commercial license, please contact schukai GmbH.
 *
 * SPDX-License-Identifier: AGPL-3.0
 */

/**
 * Curretnly from Monster supported languages.
 * @type {string[]}
 */
export const currentSupportedLanguages = [
	"en", // English
	"de", // German
	"es", // Spanish
	"zh", // Mandarin
	"hi", // Hindi
	"bn", // Bengali
	"pt", // Portuguese
	"ru", // Russian
	"ja", // Japanese
	"pa", // Western Punjabi
	"mr", // Marathi
	"fr", // French
	"it", // Italian
	"nl", // Dutch
	"sv", // Swedish
	"pl", // Polish
	"da", // Danish
	"fi", // Finnish
	"no", // Norwegian
	"cs", // Czech
];

export const languages = {
	en: "English",
	"en-GB": "English (United Kingdom)",
	"en-US": "English (United States)",
	"en-CA": "English (Canada)",
	"en-AU": "English (Australia)",
	es: "Español",
	"es-ES": "Español (España)",
	"es-MX": "Español (México)",
	"es-AR": "Español (Argentina)",
	zh: "中文",
	"zh-CN": "中文（简体）",
	"zh-TW": "中文（繁體）",
	"zh-HK": "中文（香港）",
	fr: "Français",
	"fr-FR": "Français (France)",
	"fr-CA": "Français (Canada)",
	"fr-BE": "Français (Belgique)",
	de: "Deutsch",
	"de-DE": "Deutsch (Deutschland)",
	"de-AT": "Deutsch (Österreich)",
	"de-CH": "Deutsch (Schweiz)",
	ja: "日本語",
	ru: "Русский",
	"ru-RU": "Русский (Россия)",
	it: "Italiano",
	"it-IT": "Italiano (Italia)",
	pt: "Português",
	"pt-PT": "Português (Portugal)",
	"pt-BR": "Português (Brasil)",
	ko: "한국어",
	ar: "العربية",
	hi: "हिन्दी",
	bn: "বাংলা",
	pa: "ਪੰਜਾਬੀ",
	id: "Bahasa Indonesia",
	vi: "Tiếng Việt",
	tr: "Türkçe",
	"tr-TR": "Türkçe (Türkiye)",
	pl: "Polski",
	"pl-PL": "Polski (Polska)",
	uk: "Українська",
	"uk-UA": "Українська (Україна)",
	ro: "Română",
	"ro-RO": "Română (România)",
	nl: "Nederlands",
	"nl-NL": "Nederlands (Nederland)",
	el: "Ελληνικά",
	"el-GR": "Ελληνικά (Ελλάδα)",
	hu: "Magyar",
	"hu-HU": "Magyar (Magyarország)",
	sv: "Svenska",
	"sv-SE": "Svenska (Sverige)",
	cs: "Čeština",
	"cs-CZ": "Čeština (Česká republika)",
	bg: "Български",
	"bg-BG": "Български (България)",
	da: "Dansk",
	"da-DK": "Dansk (Danmark)",
	fi: "Suomi",
	"fi-FI": "Suomi (Suomi)",
	sk: "Slovenčina",
	"sk-SK": "Slovenčina (Slovensko)",
	he: "עברית",
	th: "ไทย",
	sr: "Српски",
	"sr-RS": "Српски (Србија)",
	no: "Norsk",
	"no-NO": "Norsk (Norge)",
	lt: "Lietuvių",
	"lt-LT": "Lietuvių (Lietuva)",
	lv: "Latviešu",
	"lv-LV": "Latviešu (Latvija)",
	et: "Eesti",
	"et-EE": "Eesti (Eesti)",
	hr: "Hrvatski",
	"hr-HR": "Hrvatski (Hrvatska)",
	sl: "Slovenščina",
	"sl-SI": "Slovenščina (Slovenija)",
	mt: "Malti",
	"mt-MT": "Malti (Malta)",
	is: "Íslenska",
	"is-IS": "Íslenska (Ísland)",
	ga: "Gaeilge",
	"ga-IE": "Gaeilge (Éire)",
	cy: "Cymraeg",
	"cy-GB": "Cymraeg (Y Deyrnas Unedig)",
	sq: "Shqip",
	"sq-AL": "Shqip (Shqipëria)",
};
