/**
 * Copyright © schukai GmbH and all contributing authors, 2025. All rights reserved.
 * Node module: @schukai/monster
 *
 * This source code is licensed under the GNU Affero General Public License version 3 (AGPLv3).
 * The full text of the license can be found at: https://www.gnu.org/licenses/agpl-3.0.en.html
 *
 * For those who do not wish to adhere to the AGPLv3, a commercial license is available.
 * Acquiring a commercial license allows you to use this software without complying with the AGPLv3 terms.
 * For more information about purchasing a commercial license, please contact schukai GmbH.
 */

// THIS FILE IS AUTOGENERATED. DO NOT EDIT THIS FILE DIRECTLY.

/**
 * Main namespace for Monster.
 *
 * @namespace Monster
 * @author schukai GmbH
 */
export * from "./components/layout/collapse.mjs";
export * from "./components/layout/iframe.mjs";
export * from "./components/layout/tabs.mjs";
export * from "./components/layout/split-panel.mjs";
export * from "./components/layout/popper.mjs";
export * from "./components/layout/width-toggle.mjs";
export * from "./components/layout/panel.mjs";
export * from "./components/layout/details.mjs";
export * from "./components/layout/slider.mjs";
export * from "./components/content/viewer.mjs";
export * from "./components/content/copy.mjs";
export * from "./components/content/camera.mjs";
export * from "./components/time/timeline/segment.mjs";
export * from "./components/time/month-calendar.mjs";
export * from "./components/form/message-state-button.mjs";
export * from "./components/form/password.mjs";
export * from "./components/form/button-bar.mjs";
export * from "./components/form/reload.mjs";
export * from "./components/form/util/popper.mjs";
export * from "./components/form/util/fetch.mjs";
export * from "./components/form/util/floating-ui.mjs";
export * from "./components/form/context-help.mjs";
export * from "./components/form/api-bar.mjs";
export * from "./components/form/tabs.mjs";
export * from "./components/form/state-button.mjs";
export * from "./components/form/popper.mjs";
export * from "./components/form/select.mjs";
export * from "./components/form/confirm-button.mjs";
export * from "./components/form/context-error.mjs";
export * from "./components/form/action-button.mjs";
export * from "./components/form/form.mjs";
export * from "./components/form/api-button.mjs";
export * from "./components/form/tree-select.mjs";
export * from "./components/form/popper-button.mjs";
export * from "./components/form/input-group.mjs";
export * from "./components/form/shadow-reload.mjs";
export * from "./components/form/button.mjs";
export * from "./components/form/field-set.mjs";
export * from "./components/form/toggle-switch.mjs";
export * from "./components/form/types/state.mjs";
export * from "./components/form/template.mjs";
export * from "./components/form/constants.mjs";
export * from "./components/notify/monitor-attribute-errors.mjs";
export * from "./components/notify/message.mjs";
export * from "./components/notify/notify.mjs";
export * from "./components/notify/constants.mjs";
export * from "./components/tree-menu/tree-menu.mjs";
export * from "./components/host/collapse.mjs";
export * from "./components/host/config-manager.mjs";
export * from "./components/host/host.mjs";
export * from "./components/host/overlay.mjs";
export * from "./components/host/toggle-button.mjs";
export * from "./components/host/viewer.mjs";
export * from "./components/host/util.mjs";
export * from "./components/host/call-button.mjs";
export * from "./components/host/details.mjs";
export * from "./components/host/constants.mjs";
export * from "./components/datatable/filter/input.mjs";
export * from "./components/datatable/filter/date-range.mjs";
export * from "./components/datatable/filter/abstract-base.mjs";
export * from "./components/datatable/filter/settings.mjs";
export * from "./components/datatable/filter/range.mjs";
export * from "./components/datatable/datasource/dom.mjs";
export * from "./components/datatable/datasource/rest.mjs";
export * from "./components/datatable/columnbar.mjs";
export * from "./components/datatable/datasource.mjs";
export * from "./components/datatable/filter-button.mjs";
export * from "./components/datatable/datatable.mjs";
export * from "./components/datatable/datatable/header.mjs";
export * from "./components/datatable/pagination.mjs";
export * from "./components/datatable/util.mjs";
export * from "./components/datatable/filter.mjs";
export * from "./components/datatable/save-button.mjs";
export * from "./components/datatable/dataset.mjs";
export * from "./components/datatable/embedded-pagination.mjs";
export * from "./components/datatable/status.mjs";
export * from "./components/datatable/change-button.mjs";
export * from "./components/datatable/constants.mjs";
export * from "./components/accessibility/locale-picker.mjs";
export * from "./components/state/log/entry.mjs";
export * from "./components/state/state.mjs";
export * from "./components/state/log.mjs";
export * from "./components/navigation/table-of-content.mjs";
export * from "./components/constants.mjs";
export * from "./components/constants.mjs";
export * from "./text/formatter.mjs";
export * from "./text/generate-range-comparison-expression.mjs";
export * from "./text/util.mjs";
export * from "./text/bracketed-key-value-hash.mjs";
export * from "./math/random.mjs";
export * from "./util/trimspaces.mjs";
export * from "./util/processing.mjs";
export * from "./util/runtime.mjs";
export * from "./util/deadmansswitch.mjs";
export * from "./util/comparator.mjs";
export * from "./util/freeze.mjs";
export * from "./util/clone.mjs";
export * from "./util/processing/callback.mjs";
export * from "./logging/handler/console.mjs";
export * from "./logging/logger.mjs";
export * from "./logging/handler.mjs";
export * from "./logging/logentry.mjs";
export * from "./net/webconnect.mjs";
export * from "./net/webconnect/message.mjs";
export * from "./constraints/invalid.mjs";
export * from "./constraints/abstractoperator.mjs";
export * from "./constraints/oroperator.mjs";
export * from "./constraints/isobject.mjs";
export * from "./constraints/andoperator.mjs";
export * from "./constraints/isarray.mjs";
export * from "./constraints/abstract.mjs";
export * from "./constraints/valid.mjs";
export * from "./dom/dimension.mjs";
export * from "./dom/error.mjs";
export * from "./dom/resource/link/stylesheet.mjs";
export * from "./dom/resource/link.mjs";
export * from "./dom/resource/script.mjs";
export * from "./dom/resource/data.mjs";
export * from "./dom/util/init-options-from-attributes.mjs";
export * from "./dom/util/set-option-from-attribute.mjs";
export * from "./dom/util/extract-keys.mjs";
export * from "./dom/worker/factory.mjs";
export * from "./dom/updater.mjs";
export * from "./dom/locale.mjs";
export * from "./dom/theme.mjs";
export * from "./dom/customelement.mjs";
export * from "./dom/slotted.mjs";
export * from "./dom/focusmanager.mjs";
export * from "./dom/ready.mjs";
export * from "./dom/util.mjs";
export * from "./dom/attributes.mjs";
export * from "./dom/resource.mjs";
export * from "./dom/resourcemanager.mjs";
export * from "./dom/assembler.mjs";
export * from "./dom/customcontrol.mjs";
export * from "./dom/template.mjs";
export * from "./dom/constants.mjs";
export * from "./dom/events.mjs";
export * from "./data/datasource/dom.mjs";
export * from "./data/datasource/storage/localstorage.mjs";
export * from "./data/datasource/storage/sessionstorage.mjs";
export * from "./data/datasource/storage.mjs";
export * from "./data/datasource/server.mjs";
export * from "./data/datasource/server/restapi/data-fetch-error.mjs";
export * from "./data/datasource/server/restapi/writeerror.mjs";
export * from "./data/datasource/server/webconnect.mjs";
export * from "./data/datasource/server/restapi.mjs";
export * from "./data/datasource.mjs";
export * from "./data/buildmap.mjs";
export * from "./data/transformer.mjs";
export * from "./data/diff.mjs";
export * from "./data/buildtree.mjs";
export * from "./data/pathfinder.mjs";
export * from "./data/pipe.mjs";
export * from "./data/extend.mjs";
export * from "./types/nodelist.mjs";
export * from "./types/base.mjs";
export * from "./types/mediatype.mjs";
export * from "./types/tokenlist.mjs";
export * from "./types/proxyobserver.mjs";
export * from "./types/version.mjs";
export * from "./types/global.mjs";
export * from "./types/observerlist.mjs";
export * from "./types/internal.mjs";
export * from "./types/observablequeue.mjs";
export * from "./types/dataurl.mjs";
export * from "./types/binary.mjs";
export * from "./types/observer.mjs";
export * from "./types/regex.mjs";
export * from "./types/randomid.mjs";
export * from "./types/id.mjs";
export * from "./types/uuid.mjs";
export * from "./types/is.mjs";
export * from "./types/validate.mjs";
export * from "./types/typeof.mjs";
export * from "./types/uniquequeue.mjs";
export * from "./types/has.mjs";
export * from "./types/stack.mjs";
export * from "./types/basewithoptions.mjs";
export * from "./types/node.mjs";
export * from "./types/queue.mjs";
export * from "./types/noderecursiveiterator.mjs";
export * from "./i18n/time-ago.mjs";
export * from "./i18n/formatter.mjs";
export * from "./i18n/internal.mjs";
export * from "./i18n/locale.mjs";
export * from "./i18n/provider.mjs";
export * from "./i18n/providers/fetch.mjs";
export * from "./i18n/providers/embed.mjs";
export * from "./i18n/translations.mjs";
export * from "./constants.mjs";

export { Monster };

/**
 * This class has no other purpose than to exist.
 *
 * @license AGPLv3 or commercial license
 * @since 2.0.0
 * @copyright schukai GmbH
 * @memberOf Monster
 */
class Monster {}
